CREATE TABLE "USERS"(
    "UUID" CHARACTER VARYING(255) NOT NULL,
    "LOGIN" CHARACTER VARYING(255) NOT NULL,
    "NAME" CHARACTER VARYING(200),
    "EMAIL" CHARACTER VARYING(100),
    "CRYPTED_PASSWORD" CHARACTER VARYING(100),
    "SALT" CHARACTER VARYING(40),
    "HASH_METHOD" CHARACTER VARYING(10),
    "ACTIVE" BOOLEAN DEFAULT TRUE,
    "SCM_ACCOUNTS" CHARACTER VARYING(4000),
    "EXTERNAL_LOGIN" CHARACTER VARYING(255) NOT NULL,
    "EXTERNAL_IDENTITY_PROVIDER" CHARACTER VARYING(100) NOT NULL,
    "EXTERNAL_ID" CHARACTER VARYING(255) NOT NULL,
    "IS_ROOT" BOOLEAN NOT NULL,
    "USER_LOCAL" BOOLEAN,
    "ONBOARDED" BOOLEAN NOT NULL,
    "HOMEPAGE_TYPE" CHARACTER VARYING(40),
    "HOMEPAGE_PARAMETER" CHARACTER VARYING(40),
    "LAST_CONNECTION_DATE" BIGINT,
    "CREATED_AT" BIGINT,
    "UPDATED_AT" BIGINT,
    "RESET_PASSWORD" BOOLEAN NOT NULL,
    "LAST_SONARLINT_CONNECTION" BIGINT,
    "SONARLINT_AD_SEEN" BOOLEAN DEFAULT FALSE
);
ALTER TABLE "USERS" ADD CONSTRAINT "PK_USERS" PRIMARY KEY("UUID");
CREATE UNIQUE INDEX "USERS_LOGIN" ON "USERS"("LOGIN" NULLS FIRST);
CREATE INDEX "USERS_UPDATED_AT" ON "USERS"("UPDATED_AT" NULLS FIRST);
CREATE UNIQUE INDEX "UNIQ_EXTERNAL_ID" ON "USERS"("EXTERNAL_IDENTITY_PROVIDER" NULLS FIRST, "EXTERNAL_ID" NULLS FIRST);
CREATE UNIQUE INDEX "UNIQ_EXTERNAL_LOGIN" ON "USERS"("EXTERNAL_IDENTITY_PROVIDER" NULLS FIRST, "EXTERNAL_LOGIN" NULLS FIRST);
